Skip to main content
GET
/
v1
/
return_items
List
curl --request GET \
  --url https://{defaultHost}/v1/return_items \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/return_items"
  },
  "data": [
    {
      "id": "1f4bccc5-1675-4279-9633-7273ff4b3098",
      "object": "return_item",
      "note": null,
      "return_reason": "wrong_item",
      "return_reason_description": "Received the wrong item",
      "quantity": 1,
      "return_request": "d18b9943-c70b-45c4-9ce9-c3b001472330",
      "line_item": "6220cde9-0b8f-4d0d-9324-76edc2fc2231",
      "created_at": 1772113037,
      "updated_at": 1772113037
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

ids[]
string[]

Only return objects with the given IDs.

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

return_request_ids[]
string[]

Only return objects that belong to the given return requests.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.